slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGComputeContour

Computes the coordinates of several points lying on the contour of the region.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGComputeContour(RG rg,PetscInt n,PetscScalar cr[],PetscScalar ci[])

Not Collective

### Input Parameters

| rg | - the region context
| n | - number of points to compute

### Output Parameters

| cr | - location to store real parts
| ci | - location to store imaginary parts

### Notes

In real scalars, either cr or ci can be NULL (but not both). In complex scalars, the coordinates are stored in cr, which cannot be NULL (ci is not referenced).

### See Also

RGComputeBoundingBox()

### Level

intermediate

### Location

src/sys/classes/rg/interface/rgbasic.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages